​

Retrieve space

GET
https://example.kaiten.ru/api/latest/spaces/{space_id}
Path parameters
NameTypeReference
space_idrequiredintegerSpace ID
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

integer

Space id
uid

string

Space uid
title

string

Space title
updated

string

Last update timestamp
created

string

Create date
archived

boolean

Space archived flag
access

string

Space access
for_everyone_access_role_id

string

Role id for everyone access
entity_type

string

Entity type
path

string

Inner path to entity
sort_order

number

Space sort order
parent_entity_uid

null | string

Parent entity uid
company_id

integer

Company id
allowed_card_type_idsDeprecated: use
hidden_card_type_uids instead

null | array

Allowed card types for this space
hidden_card_type_uids

null | array

List of hidden card type uids
external_id

null | string

External id
settings

object

Schema
Space settings
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbidenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/spaces/{space_id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!